// This file is generated by kconfig_compiler from k4guitune.kcfg.
// All changes you do to this file will be lost.
#ifndef SETTINGS_H
#define SETTINGS_H

#include <kconfigskeleton.h>
#include <kdebug.h>

class Settings : public KConfigSkeleton
{
  public:
    enum SampleFrequency { SAMPLE_FREQ_11025_HZ, SAMPLE_FREQ_22050_HZ };
    enum FftSize { FFT_SIZE_512, FFT_SIZE_1024, FFT_SIZE_2048 };
    enum TuningMode { EQUAL_TEMPERAMENT, JUST_INTONATION };
    enum RootFrequency { CONCERT_440, FRENCH_435, SCIENTIFIC_430 };
    enum ScaleType { ENGLISH, ENGLISH_ALTERNATE, GERMAN, GERMAN_ALTERNATE, ITALIAN, ITALIAN_ALTERNATE };

    static Settings *self();
    ~Settings();


    /**
      Get The sample frequency of the audio input.
    */
    static
    int sampleFrequency()
    {
      return self()->mSampleFrequency;
    }


    /**
      Get The size of the FFT window used to compute the autocorrelation.
    */
    static
    int fftSize()
    {
      return self()->mFftSize;
    }


    /**
      Get The tuning mode.
    */
    static
    int tuningMode()
    {
      return self()->mTuningMode;
    }


    /**
      Get The reference frequency for A4.
    */
    static
    int rootFrequency()
    {
      return self()->mRootFrequency;
    }


    /**
      Get The note names.
    */
    static
    int scaleType()
    {
      return self()->mScaleType;
    }


    /**
      Get Color used in the audio signal plot.
    */
    static
    QColor signalColor()
    {
      return self()->mSignalColor;
    }


    /**
      Get Color used in autocorrelation plot.
    */
    static
    QColor autoCorrelationColor()
    {
      return self()->mAutoCorrelationColor;
    }

  protected:
    Settings();
    friend class SettingsHelper;


    // Device
    int mSampleFrequency;
    int mFftSize;

    // Tuning
    int mTuningMode;
    int mRootFrequency;
    int mScaleType;

    // Appearance
    QColor mSignalColor;
    QColor mAutoCorrelationColor;

  private:
};

#endif

