/*
 *  K4Guitune - Simple chromatic tuner for KDE4.
 *  Copyright (C) 2009-2010  William Spinelli <wylliam@tiscali.it>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __K4GUITUNE_H_
#define __K4GUITUNE_H_

#include <KXmlGuiWindow>

class K4GuituneView;
class AudioProcessor;
class FreqDetector;


/**
 * This class serves as the main window for k4guitune.  It handles the menus,
 * toolbars, and status bars.
 *
 * @short Main window class.
 */

class K4Guitune : public KXmlGuiWindow
{
	Q_OBJECT

public:
	/*!	@brief Default constructor.
	 */
	K4Guitune( );

	/*!	@brief Default destructor.
	 */
	virtual ~K4Guitune( );


private slots:
	/*!	@brief Open a dialog to set the application preferences.
	 */
	void optionsPreferences( );


private:
    /*!	@brief Create the menu actions in the main window.
     */
    void setupActions( );

	K4GuituneView			*m_view;						//!< @brief The central widget of the main window.
};

#endif // __K4GUITUNE_H_
