/*
*  K4Guitune - Simple chromatic tuner for KDE4.
*  Copyright (C) 2009-2010  William Spinelli <wylliam@tiscali.it>
*
*  This program is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __PREFERENCES_H_
#define __PREFERENCES_H_

#include <KConfigDialog>

#include "ui_prefs_device.h"
#include "ui_prefs_tuning.h"
#include "ui_prefs_appearance.h"


/**
 * This is the preference dialog for k4guitune.  The selection of audio
 * settings and tuning preferences is done through this dialog.
 *
 * @short Preference dialog.
 */

class Preferences : public KConfigDialog
{
	Q_OBJECT

public:
	/*!	@brief Default constructor.
	 */
	Preferences( QWidget *parent, const QString& name, KConfigSkeleton *config );


private:
	Ui::prefs_device		ui_prefs_device;			//!< @brief Dialog page with the settings of the audio device.
	Ui::prefs_tuning		ui_prefs_tuning;			//!< @brief Dialog page with the settings of the tuning algorithm.
	Ui::prefs_appearance	ui_prefs_appearance;		//!< @brief Dialog page with the settings of the application appearance.
};

#endif // __PREFERENCES_H_
